NX Open C++ Reference Guide
|
Represents a Features::PartModule builder
To create a new instance of this class, use Features::FeatureCollection::CreatePartModuleBuilder
Created in NX8.0.0.
More...
Public Member Functions | |
bool | ActivatePartModule () |
Returns the option indicating whether part module is to be activated. | |
NXOpen::GeometricUtilities::PartModuleReferencesBuilder * | InputReferences () |
Returns the part module input references. | |
NXString | Name () |
Returns the part module name This API is now deprecated. | |
NXString | Name1 () |
Returns the part module name Created in NX9.0.0. | |
void | SetActivatePartModule (bool activate) |
Sets the option indicating whether part module is to be activated. | |
void | SetName (const NXString &name) |
Sets the part module name This API is now deprecated. | |
void | SetName (const char *name) |
Sets the part module name This API is now deprecated. | |
void | SetName1 (const NXString &name) |
Sets the part module name Created in NX9.0.0. | |
void | SetName1 (const char *name) |
Sets the part module name Created in NX9.0.0. | |
void | SetShowOnlyPartModule (bool showOnly) |
Sets the option indicating whether only part module contents are to be shown. | |
bool | ShowOnlyPartModule () |
Returns the option indicating whether only part module contents are to be shown. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::PartModule builder
To create a new instance of this class, use Features::FeatureCollection::CreatePartModuleBuilder
Created in NX8.0.0.
bool NXOpen::Features::PartModuleBuilder::ActivatePartModule | ( | ) |
Returns the option indicating whether part module is to be activated.
If true, the part module will be activated, else, part module will be deactivated
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::PartModuleReferencesBuilder* NXOpen::Features::PartModuleBuilder::InputReferences | ( | ) |
Returns the part module input references.
<br> This API is now deprecated. Please use @link GeometricUtilities::PartModuleInputBuilder::InputReferences GeometricUtilities::PartModuleInputBuilder::InputReferences@endlink instead. <br>
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Features::PartModuleBuilder::Name | ( | ) |
Returns the part module name
This API is now deprecated.
Please use @link Features::PartModuleBuilder::Name1 Features::PartModuleBuilder::Name1@endlink instead. <br>
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Features::PartModuleBuilder::Name1 | ( | ) |
Returns the part module name
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::PartModuleBuilder::SetActivatePartModule | ( | bool | activate | ) |
Sets the option indicating whether part module is to be activated.
If true, the part module will be activated, else, part module will be deactivated
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
activate | activate |
void NXOpen::Features::PartModuleBuilder::SetName | ( | const NXString & | name | ) |
Sets the part module name
This API is now deprecated.
Please use @link Features::PartModuleBuilder::Name1 Features::PartModuleBuilder::Name1@endlink instead. <br>
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
name | name |
void NXOpen::Features::PartModuleBuilder::SetName | ( | const char * | name | ) |
Sets the part module name
This API is now deprecated.
Please use @link Features::PartModuleBuilder::Name1 Features::PartModuleBuilder::Name1@endlink instead. <br>
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
name | name |
void NXOpen::Features::PartModuleBuilder::SetName1 | ( | const NXString & | name | ) |
Sets the part module name
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
name | name |
void NXOpen::Features::PartModuleBuilder::SetName1 | ( | const char * | name | ) |
Sets the part module name
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
name | name |
void NXOpen::Features::PartModuleBuilder::SetShowOnlyPartModule | ( | bool | showOnly | ) |
Sets the option indicating whether only part module contents are to be shown.
If true, only displayable objects in the part module will be shown. Else, no action is taken.
This API is now deprecated. Please use Features::PartModule::ShowOnly instead.
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
showOnly | showonly |
bool NXOpen::Features::PartModuleBuilder::ShowOnlyPartModule | ( | ) |
Returns the option indicating whether only part module contents are to be shown.
If true, only displayable objects in the part module will be shown. Else, no action is taken.
This API is now deprecated. Please use Features::PartModule::ShowOnly instead.
Created in NX8.0.0.
License requirements : None